import request from '@/utils/request'

// 查询班级管理列表
export function listClassmanager(query) {
    return request({
        url: '/platform/classmanager/list',
        method: 'get',
        params: query
    })
}

// 查询班级管理列表
export function listClassmanagerBy(query) {
    return request({
        url: '/platform/classmanager/listBy',
        method: 'post',
        data: query
    })
}

// 查询班级管理详细
export function getClassmanager(id) {
    return request({
        url: '/platform/classmanager/' + id,
        method: 'get'
    })
}

// 新增班级管理
export function addClassmanager(data) {
    return request({
        url: '/platform/classmanager',
        method: 'post',
        data: data
    })
}

// 修改班级管理
export function updateClassmanager(data) {
    return request({
        url: '/platform/classmanager',
        method: 'put',
        data: data
    })
}

// 删除班级管理
export function delClassmanager(id) {
    return request({
        url: '/platform/classmanager/' + id,
        method: 'delete'
    })
}

//------------
//批量增加
export function addClassmanagerBach(data) {
    return request({
        url: '/platform/classmanager/bachAdd',
        method: 'post',
        data: data
    })
}
